Subject: bug#13790: Cannot paste with C-y into Homebrew emacs v24.2.1

From: Jan Djärv <[email-masked]>
Date: Wed, 6 Mar 2013 10:34:26 +0100

Hello. 

I don't see what you gain by doing this compared to the builtin integration. 
If you remove your code, what does not work wrt copy/paste?

    Jan D. 

6 mar 2013 kl. 00:19 skrev Josh <[email-masked]>:

> On Tue, Mar 5, 2013 at 1:46 PM, Jan Djärv <[email-masked]> wrote:
>> 5 mar 2013 kl. 21:13 skrev Glenn Morris <[email-masked]>:
>>> Andrew Pennebaker wrote:
>>> 
>>>> I can paste into emacs using Mac OS X's Command+V shortcut, but when I try
>>>> to paste text using the standard C-y command, Emacs says:
>>>> 
>>>> Kill ring is empty
>>> 
>>> Anyone with Mac OS X know whether/how this is supposed to work?
> 
> I use the following to integrate the OS X clipboard into Emacs:
> 
> (setq interprogram-cut-function 'paste-to-osx
>      interprogram-paste-function 'copy-from-osx)
> 
> (defun copy-from-osx ()
>  (let ((coding-system-for-read 'utf-8))
>    (shell-command-to-string "pbpaste")))
> 
> (defun paste-to-osx (text &optional push)
>  (let ((process-connection-type nil))
>    (let ((proc (start-process "pbcopy" "*Messages*" "pbcopy")))
>      (set-process-sentinel proc 'ignore) ;; stifle noise in *Messages*
>      (process-send-string proc text)
>      (process-send-eof proc)))
>  text)